Bug 199883 - Flaky Test: storage/indexeddb/dont-wedge.html
Summary: Flaky Test: storage/indexeddb/dont-wedge.html
Status: RESOLVED CONFIGURATION CHANGED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sihui Liu
URL:
Keywords: InRadar
Depends on:
Blocks: 50856
  Show dependency treegraph
 
Reported: 2019-07-17 14:45 PDT by WebKit Commit Bot
Modified: 2019-07-21 17:09 PDT (History)
12 users (show)

See Also:


Attachments
Archive of layout-test-results from webkit-cq-01 (3.40 MB, application/zip)
2019-07-17 14:45 PDT, WebKit Commit Bot
no flags Details
Patch (2.18 KB, patch)
2019-07-17 15:15 PDT, Sihui Liu
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-cq-01 (3.26 MB, application/zip)
2019-07-17 15:32 PDT, WebKit Commit Bot
no flags Details
Archive of layout-test-results from ews116 for mac-highsierra (3.19 MB, application/zip)
2019-07-17 17:07 PDT, Build Bot
no flags Details
Archive of layout-test-results from webkit-cq-01 (3.26 MB, application/zip)
2019-07-17 19:15 PDT, WebKit Commit Bot
no flags Details
Patch (3.86 KB, patch)
2019-07-18 13:51 PDT, Sihui Liu
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-cq-01 (3.21 MB, application/zip)
2019-07-18 14:41 PDT, WebKit Commit Bot
no flags Details
Patch (3.89 KB, patch)
2019-07-18 16:32 PDT, Sihui Liu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description WebKit Commit Bot 2019-07-17 14:45:25 PDT
This is an automatically generated bug from the commit-queue.
storage/indexeddb/dont-wedge.html has been flaky on the commit-queue.

storage/indexeddb/dont-wedge.html was authored by beidson@apple.com, commit-queue@webkit.org, dgrogan@chromium.org, and mark.lam@apple.com.
https://trac.webkit.org/browser/trunk/LayoutTests/storage/indexeddb/dont-wedge.html

The commit-queue just saw storage/indexeddb/dont-wedge.html flake (DumpRenderTree crashed) while processing attachment 374326 [details] on bug 199839.
Bot: webkit-cq-01  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.13.6

The bots will update this with information from each new failure.

If you believe this bug to be fixed or invalid, feel free to close.  The bots will re-open if the flake re-occurs.

If you would like to track this test fix with another bug, please close this bug as a duplicate.  The bots will follow the duplicate chain when making future comments.
Comment 1 WebKit Commit Bot 2019-07-17 14:45:27 PDT
Created attachment 374333 [details]
Archive of layout-test-results from webkit-cq-01
Comment 2 Sihui Liu 2019-07-17 15:15:10 PDT
Created attachment 374337 [details]
Patch
Comment 3 WebKit Commit Bot 2019-07-17 15:32:19 PDT
The commit-queue just saw storage/indexeddb/dont-wedge.html flake (DumpRenderTree crashed) while processing attachment 374332 [details] on bug 199846.
Bot: webkit-cq-01  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.13.6
Comment 4 WebKit Commit Bot 2019-07-17 15:32:20 PDT
Created attachment 374341 [details]
Archive of layout-test-results from webkit-cq-01
Comment 5 Build Bot 2019-07-17 17:07:35 PDT
Comment on attachment 374337 [details]
Patch

Attachment 374337 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12761822

New failing tests:
storage/indexeddb/pending-version-change-on-exit.html
Comment 6 Build Bot 2019-07-17 17:07:37 PDT
Created attachment 374353 [details]
Archive of layout-test-results from ews116 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 7 WebKit Commit Bot 2019-07-17 19:15:00 PDT
The commit-queue just saw storage/indexeddb/dont-wedge.html flake (DumpRenderTree crashed) while processing attachment 374361 [details] on bug 199886.
Bot: webkit-cq-01  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.13.6
Comment 8 WebKit Commit Bot 2019-07-17 19:15:01 PDT
Created attachment 374364 [details]
Archive of layout-test-results from webkit-cq-01
Comment 9 Sihui Liu 2019-07-18 13:51:19 PDT
Created attachment 374412 [details]
Patch
Comment 10 WebKit Commit Bot 2019-07-18 14:41:31 PDT
The commit-queue just saw storage/indexeddb/dont-wedge.html flake (DumpRenderTree crashed) while processing attachment 374411 [details] on bug 199907.
Bot: webkit-cq-01  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.13.6
Comment 11 WebKit Commit Bot 2019-07-18 14:41:33 PDT
Created attachment 374418 [details]
Archive of layout-test-results from webkit-cq-01
Comment 12 Sihui Liu 2019-07-18 16:20:34 PDT
(In reply to Sihui Liu from comment #9)
> Created attachment 374412 [details]
> Patch

Looks like this is still flaky on the mac bot. I will update the patch.
Comment 13 Sihui Liu 2019-07-18 16:32:32 PDT
Created attachment 374426 [details]
Patch
Comment 14 Ryan Haddad 2019-07-18 16:33:13 PDT
I rolled out the change that introduced this in <https://trac.webkit.org/changeset/247624>
Comment 15 Sihui Liu 2019-07-18 16:36:24 PDT
(In reply to Ryan Haddad from comment #14)
> I rolled out the change that introduced this in
> <https://trac.webkit.org/changeset/247624>

Okay, I will update on the original bug.
Comment 16 Sihui Liu 2019-07-18 17:12:00 PDT
Close this as the patch caused this was reverted. I will make update on https://bugs.webkit.org/show_bug.cgi?id=199818.
Comment 17 Radar WebKit Bug Importer 2019-07-21 17:09:53 PDT
<rdar://problem/53375706>